import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface CarryChecklistVO extends BaseEntity {
  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 成品名称
   */
  name: string

  /**
   * 型号
   */
  model: string

  /**
   * 厂家名称
   */
  factory: string

  /**
   * 需求数量
   */
  quantity: number

  /**
   * 备注
   */
  remark: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface CarryChecklistForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 成品名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 厂家名称
   */
  factory?: string

  /**
   * 需求数量
   */
  quantity?: number

  /**
   * 备注
   */
  remark?: string
}

export interface CarryChecklistQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 成品名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 厂家名称
   */
  factory?: string

  /**
   * 需求数量
   */
  quantity?: number

  /**
   * 日期范围参数
   */
  params?: any
}
