import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface FaultDiagnosisVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface FaultDiagnosisForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 状态（1正常）
   */
  status?: string
}

export interface FaultDiagnosisQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 日期范围参数
   */
  params?: any
}
