import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface FlightSplitTaskVO extends BaseEntity {
  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 机组
   */
  aircraftGroup: string

  /**
   * 时长
   */
  duration: string

  /**
   * 设备
   */
  device: string

  /**
   * 数量
   */
  deviceCount: number

  /**
   * 单位
   */
  unit: string

  /**
   * 备注
   */
  remark: string
}

export interface FlightSplitTaskForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 飞行编号
   */
  flightId?: string | number

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机组
   */
  aircraftGroup?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 设备
   */
  device?: string

  /**
   * 数量
   */
  deviceCount?: number

  /**
   * 单位
   */
  unit?: string

  /**
   * 备注
   */
  remark?: string
}

export interface FlightSplitTaskQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机组
   */
  aircraftGroup?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 设备
   */
  device?: string

  /**
   * 数量
   */
  deviceCount?: number

  /**
   * 单位
   */
  unit?: string

  /**
   * 日期范围参数
   */
  params?: any
}
