import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface FlightTaskVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: number

  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 起飞时间
   */
  startTime: string

  /**
   * 降落时间
   */
  endTime: string

  /**
   * 飞行课目
   */
  trainExercise: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface FlightTaskForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 起飞时间
   */
  startTime?: string

  /**
   * 降落时间
   */
  endTime?: string

  /**
   * 飞行课目
   */
  trainExercise?: string
}

export interface FlightTaskQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 起飞时间
   */
  startTime?: string

  /**
   * 降落时间
   */
  endTime?: string

  /**
   * 飞行课目
   */
  trainExercise?: string

  /**
   * 状态
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
