import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface LifePredictionVO extends BaseEntity {
  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 部件名称
   */
  name: string

  /**
   * 型号
   */
  model: string

  /**
   * 所属系统
   */
  system: string

  /**
   * 处理方式
   */
  methodType: string

  /**
   * 剩余时长（h）
   */
  remainTiem: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface LifePredictionForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 部件名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 所属系统
   */
  system?: string

  /**
   * 处理方式
   */
  methodType?: string

  /**
   * 剩余时长（h）
   */
  remainTiem?: string
}

export interface LifePredictionQuery extends PageQuery {
  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 部件名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 所属系统
   */
  system?: string

  /**
   * 处理方式
   */
  methodType?: string

  /**
   * 剩余时长（h）
   */
  remainTiem?: string

  /**
   * 日期范围参数
   */
  params?: any
}
