import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface MaintenanceDecisionVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: number

  /**
   * 机号
   */
  aircraftNo: number

  /**
   * 故障代码
   */
  code: string

  /**
   * 系统
   */
  systemName: string

  /**
   * 单位
   */
  unitName: string

  /**
   * 故障部件
   */
  faultPart: string

  /**
   * 维修建议
   */
  proposal: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface MaintenanceDecisionForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 故障代码
   */
  code?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 故障部件
   */
  faultPart?: string

  /**
   * 维修建议
   */
  proposal?: string
}

export interface MaintenanceDecisionQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 故障代码
   */
  code?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 状态（1正常）
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
