import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface MaintenanceTaskVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: number

  /**
   * 机号
   */
  aircraftNo: number

  /**
   * 所属系统
   */
  systemName: string

  /**
   * 单位
   */
  unitName: string

  /**
   * 处理人
   */
  operator: string

  /**
   * 故障部件
   */
  faultPart: string

  /**
   * 维修建议
   */
  proposal: string

  /**
   * 维修时间
   */
  handlerDate: string

  /**
   * 状态（1正常）
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface MaintenanceTaskForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 所属系统
   */
  systemName?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 处理人
   */
  operator?: string

  /**
   * 故障部件
   */
  faultPart?: string

  /**
   * 维修建议
   */
  proposal?: string

  /**
   * 维修时间
   */
  handlerDate?: string
}

export interface MaintenanceTaskQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 所属系统
   */
  systemName?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 维修时间
   */
  handlerDate?: string

  /**
   * 状态（1正常）
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
