import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface SafeRuleVO extends BaseEntity {
  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 时长
   */
  duration: string

  /**
   * 飞行课目
   */
  trainExercise: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface SafeRuleForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 飞行课目
   */
  trainExercise?: string
}

export interface SafeRuleQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 飞行课目
   */
  trainExercise?: string

  /**
   * 状态（1正常）
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
