import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface SafeRuleSubVO extends BaseEntity {
  /**
   * 编号
   */
  id: string | number

  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 机组
   */
  aircraftGroup: string

  /**
   * 时长
   */
  duration: string

  /**
   * 设备
   */
  device: string

  /**
   * 数量
   */
  deviceCount: number

  /**
   * 单位
   */
  unit: string
}

export interface SafeRuleSubForm {
  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机组
   */
  aircraftGroup?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 设备
   */
  device?: string

  /**
   * 数量
   */
  deviceCount?: number

  /**
   * 单位
   */
  unit?: string

  /**
   * 备注
   */
  remark?: string
}

export interface SafeRuleSubQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 机组
   */
  aircraftGroup?: string

  /**
   * 时长
   */
  duration?: string

  /**
   * 设备
   */
  device?: string

  /**
   * 数量
   */
  deviceCount?: number

  /**
   * 单位
   */
  unit?: string

  /**
   * 状态（1正常）
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
