import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface SmTaskRecordVO extends BaseEntity {
  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 机型
   */
  aircraftModel: string

  /**
   * 任务名称
   */
  name: string

  /**
   * 任务编码
   */
  code: string

  /**
   * 维修时间
   */
  endTime: string

  /**
   * 剩余时间
   */
  remainTime: string

  /**
   * 专业
   */
  specialty: string

  /**
   * 维修内容
   */
  contents: string

  /**
   * 状态（1正常）
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface SmTaskRecordForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 任务名称
   */
  name?: string

  /**
   * 任务编码
   */
  code?: string

  /**
   * 维修时间
   */
  endTime?: string

  /**
   * 剩余时间
   */
  remainTime?: string

  /**
   * 专业
   */
  specialty?: string

  /**
   * 维修内容
   */
  contents?: string

  /**
   * 状态（1正常）
   */
  status?: string
}

export interface SmTaskRecordQuery extends PageQuery {
  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 机型
   */
  aircraftModel?: string

  /**
   * 任务名称
   */
  name?: string

  /**
   * 任务编码
   */
  code?: string

  /**
   * 维修时间
   */
  endTime?: string

  /**
   * 剩余时间
   */
  remainTime?: string

  /**
   * 专业
   */
  specialty?: string

  /**
   * 维修内容
   */
  contents?: string

  /**
   * 日期范围参数
   */
  params?: any
}
