import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface SparePartsVO extends BaseEntity {
  /**
   * 部件名称
   */
  name: string

  /**
   * 型号
   */
  model: string

  /**
   * 所属系统
   */
  systemName: string

  /**
   * 制造厂
   */
  factory: string

  /**
   * 数量
   */
  quantity: number

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface SparePartsForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 部件名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 所属系统
   */
  systemName?: string

  /**
   * 制造厂
   */
  factory?: string

  /**
   * 数量
   */
  quantity?: number
}

export interface SparePartsQuery extends PageQuery {
  /**
   * 部件名称
   */
  name?: string

  /**
   * 型号
   */
  model?: string

  /**
   * 所属系统
   */
  systemName?: string

  /**
   * 制造厂
   */
  factory?: string

  /**
   * 数量
   */
  quantity?: number

  /**
   * 日期范围参数
   */
  params?: any
}
