import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface TaskVO extends BaseEntity {
  /**
   * 任务名称
   */
  name: string

  /**
   * 数据源
   */
  source: string

  /**
   * 架次号
   */
  sortieNo: number

  /**
   * 机号
   */
  aircraftId: string | number

  /**
   * 数据编号
   */
  dataId: string | number

  /**
   * 预处理编号
   */
  preId: string | number

  /**
   * 虚警编号
   */
  falseAlarmId: string | number

  /**
   * 故障诊断编号
   */
  faultId: string | number

  /**
   * 决策编号
   */
  decisionId: string | number

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface TaskForm {
  /**
   * 任务编号
   */
  id?: string | number

  /**
   * 任务名称
   */
  name?: string

  /**
   * 数据源
   */
  source?: string

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftId?: string | number

  /**
   * 数据编号
   */
  dataId?: string | number

  /**
   * 预处理编号
   */
  preId?: string | number

  /**
   * 虚警编号
   */
  falseAlarmId?: string | number

  /**
   * 故障诊断编号
   */
  faultId?: string | number

  /**
   * 决策编号
   */
  decisionId?: string | number
}

export interface TaskQuery extends PageQuery {
  /**
   * 任务名称
   */
  name?: string

  /**
   * 数据源
   */
  source?: string

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 日期范围参数
   */
  params?: any
}
