import http from '@/api'
import { TaskVO, TaskForm, TaskQuery } from '@/api/interface/als/task'
/**
 * @name 查询任务信息列表
 * @param query 参数
 * @returns 返回列表
 */
export const listTaskApi = (query: TaskQuery) => {
  return http.get<TaskVO[]>('/als/task/list', query, { loading: true })
}

/**
 * @name 查询任务信息详细
 * @param id id
 * @returns returns
 */
export const getTaskApi = (id: string | number) => {
  return http.get<TaskVO>(`/als/task/${id}`)
}

/**
 * @name 新增任务信息
 * @param data data
 * @returns returns
 */
export const addTaskApi = (data: TaskForm) => {
  return http.post<any>('/als/task', data, { loading: false })
}

/**
 * @name 修改任务信息
 * @param data data
 * @returns returns
 */
export const updateTaskApi = (data: TaskForm) => {
  return http.put<any>('/als/task', data, { loading: false })
}

/**
 * @name 删除任务信息
 * @param id id
 * @returns returns
 */
export const delTaskApi = (id: string | number | Array<string | number>) => {
  return http.delete<any>(`/als/task/${id}`)
}
/**
 * @name 导出数据
 * @returns returns
 */
export const exportTaskApi = (data: any) => {
  return http.post('/als/task/export', data)
}
